Package org.eclipse.birt.report.model.api.simpleapi

# Interface IDataItem

All Superinterfaces:
  `IDesignElement`, `IReportElement`, `IReportItem`

public interface IDataItem extends IReportItem
Represents a the design of a DataItem in the scripting environment

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`constants`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAction(IAction action)`
Add the action structure to this Data item.
`IAction`
`getAction()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`String`
`getHelpText()`
Returns the help text of this data item.
`String`
`getHelpTextKey()`
Returns the help text resource key of this data item.
`String`
`getResultSetColumn()`
Gets the value of the result set column name property on this data item.
`void`
`setHelpText(String value)`
Sets the help text of this data item.
`void`
`setHelpTextKey(String value)`
Sets the resource key of the help text of this data item.
`void`
`setResultSetColumn(String columnName)`
Sets the value of the column name property.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

## Method Details

### getAction

IAction getAction()
Returns a handle to work with the action property, action is a structure that defines a hyperlink.

Returns:
  a handle to the action property, return `null` if the action has not been set on the data item.
See Also:
  - `ActionHandle`

### addAction

void addAction(IAction action) throws SemanticException
Add the action structure to this Data item.

Parameters:
  `action` -
Throws:
  `SemanticException`

### getHelpText

String getHelpText()
Returns the help text of this data item.

Returns:
  the help text

### setHelpText

void setHelpText(String value) throws SemanticException
Sets the help text of this data item.

Parameters:
  `value` - the help text
Throws:
  `SemanticException` - if the property is locked.

### getHelpTextKey

String getHelpTextKey()
Returns the help text resource key of this data item.

Returns:
  the help text key

### setHelpTextKey

void setHelpTextKey(String value) throws SemanticException
Sets the resource key of the help text of this data item.

Parameters:
  `value` - the resource key of the help text
Throws:
  `SemanticException` - if the property is locked.

### getResultSetColumn

String getResultSetColumn()
Gets the value of the result set column name property on this data item.

Returns:
  the value of the property.

### setResultSetColumn

void setResultSetColumn(String columnName) throws SemanticException
Sets the value of the column name property.

Parameters:
  `columnName` - the value to set.
Throws:
  `SemanticException`